Summary:	High dynamic-range (HDR) image file format support libraries
Summary(pl.UTF-8):	Biblioteki obsługujące format plików obrazu o wysokiej dynamice (HDR)
Name:		OpenEXR
Version:	3.1.4
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/AcademySoftwareFoundation/openexr/releases
Source0:	https://github.com/AcademySoftwareFoundation/openexr/archive/v%{version}/openexr-%{version}.tar.gz
# Source0-md5:	e990be1ff765797bc2d93a8060e1c1f2
URL:		https://www.openexr.com/
BuildRequires:	Imath-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	python3-breathe
BuildRequires:	zlib-devel
Obsoletes:	ilmbase < 2.5.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.
OpenEXR is used by ILM on all motion pictures currently in production.
The first movies to employ OpenEXR were Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York, and Signs. Since then,
OpenEXR has become ILM's main image file format.

%description -l pl.UTF-8
OpenEXR to format plików obrazu o wysokiej dynamice (HDR - High
Dynamic-Range) stworzony przez Industrial Light & Magic do używania w
aplikacjach do grafiki komputerowej. OpenEXR jest używany przez ILM do
wszystkich aktualnie produkowanych obrazów ruchomych. Pierwszymi
filmami wykorzystującymi OpenEXR były Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York oraz Signs. Od tamtego czasu
OpenEXR stał się głównym formatem obrazu ILM.

%package devel
Summary:	Header files for OpenEXR libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OpenEXR
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:5
Requires:	zlib-devel
Provides:	ilmbase-devel = %{version}-%{release}
Obsoletes:	ilmbase-devel < 2.5.3

%description devel
Header files for OpenEXR libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OpenEXR.

%package progs
Summary:	OpenEXR utilities
Summary(pl.UTF-8):	Narzędzia do obrazów OpenEXR
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenEXR utilities.

%description progs -l pl.UTF-8
Narzędzia do obrazów OpenEXR.

%package doc
Summary:	OpenEXR documentation
Summary(pl.UTF-8):	Dokumentacja do OpenEXR
Group:		Documentation

%description doc
OpenEXR documentation describing file format, library etc.

%description doc -l pl.UTF-8
Dokumentacja do OpenEXR, opisująca format pliku, bibliotekę itd.

%prep
%setup -q -n openexr-%{version}

%build
mkdir -p build
cd build
%cmake .. \
	-DDOCS=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/{examples,sphinx}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES.md CODEOWNERS LICENSE.md PATENTS README.md SECURITY.md
%attr(755,root,root) %{_libdir}/libIex-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIex-3_1.so.30
%attr(755,root,root) %{_libdir}/libIlmThread-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIlmThread-3_1.so.30
%attr(755,root,root) %{_libdir}/libOpenEXR-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenEXR-3_1.so.30
%attr(755,root,root) %{_libdir}/libOpenEXRCore-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenEXRCore-3_1.so.30
%attr(755,root,root) %{_libdir}/libOpenEXRUtil-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenEXRUtil-3_1.so.30

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIex*.so
%attr(755,root,root) %{_libdir}/libIlmThread*.so
%attr(755,root,root) %{_libdir}/libOpenEXR*.so
%{_includedir}/OpenEXR
%{_pkgconfigdir}/OpenEXR.pc
%{_libdir}/cmake/OpenEXR

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/exrenvmap
%attr(755,root,root) %{_bindir}/exrheader
%attr(755,root,root) %{_bindir}/exrmakepreview
%attr(755,root,root) %{_bindir}/exrmaketiled
%attr(755,root,root) %{_bindir}/exrmultipart
%attr(755,root,root) %{_bindir}/exrmultiview
%attr(755,root,root) %{_bindir}/exrstdattr
%attr(755,root,root) %{_bindir}/exr2aces
%attr(755,root,root) %{_bindir}/exrinfo

%files doc
%defattr(644,root,root,755)
%doc build/docs/sphinx/*
%doc build/docs/sphinx/.doctrees
%changelog
* Sun Feb 06 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/OpenEXR.git;a=log;h=master

* Sun Feb 06 2022 Jan Rękorajski <baggins@pld-linux.org> 819cfd4
- up to 3.1.4, ilmbase is now integral part of this package

* Sun Feb 06 2022 Jan Rękorajski <baggins@pld-linux.org> d1578f6
- libImath moved to Imath package, rel 2

* Fri Feb 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 72bd1e3
- libstdc++ version for C++ 14 (default)

* Fri Feb 04 2022 Jakub Bogusz <qboosh@pld-linux.org> feda42a
- updated URL, added base docs
- removed obsolete patch

* Thu Feb 03 2022 Bartlomiej Zimon <uzi18@o2.pl> 720ec9a
- rel 1

* Thu Feb 03 2022 Bartlomiej Zimon <uzi18@o2.pl> 9bb5c9a
- rel 0.1

* Mon Jan 31 2022 Bartlomiej Zimon <uzi18@o2.pl> 3e24fad
- update to 2.3.0 (new soname)

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 1265106
- updated to 2.2.1 (note: new sonames)

* Sun Sep 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 95897d6
- release 4 (by relup.sh)

* Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> 06534ca
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> ee3806b
- release 2 (by relup.sh)

* Fri Aug 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 77cb6c7
- updated to 2.2.0 (note: new soname)
- added build patch (fixes build with an older version of OpenEXR-devel installed)

* Sat Apr 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c2759d
- updated to 2.1.0 (note: new soname)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 83918f6
- updated to 2.0.1
- removed obsolete am patch

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 8ed3b08
- added doc package (with PDFs), fixed build with current rpm doc scripts

* Thu Mar 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 447913e
- updated to 2.0.0 (note: new soname)
- removed obsolete gcc4 patch
- added am patch (fixes build with automake 1.13)

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 0c7bd0c
- updated to 1.7.0
- old gcc4 patch obsolete, added new one

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> bef185c
- added gcc4.patch

* Thu Feb 14 2008 Elan Ruusamäe <glen@pld-linux.org> c524183
- release 2

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 4b0117e
- updated to 1.6.1
- removed obsolete patches
- base libs now in ilmbase.spec, exrdisplay moved to openexr_viewers

